Enterprise Resource Planning Blogs by Members
Gain new perspectives and knowledge about enterprise resource planning in blog posts from community members. Share your own comments and ERP insights today!
cancel
Showing results for 
Search instead for 
Did you mean: 
Jigang_Zhang张吉刚
Active Contributor
3,705


Users get the below message for all adobe form generation even for the SAP standard DEMO program: FP_TEST_IA_01 since this Monday.

  • Processing exception during a "UsageRights" operation. com. Adobe.Processing Exception: The credential with alias: Reader Rights has expired



After checking the details from CX_FP_RUNTIME of FUNCTION ‘FPCOMP_CREATE_PDX’ at include program LFPCOMPFRM (check this), find this could be caused by  ADS Configuration errors:

  • The ADS configuration - especially the installation and configuration of the Reader Rights Credential is not correct.


 

The I find sap just release new notes about this:

  • 3243244 - New version of Adobe ReaderRights credential does not work in NW 7.40 or lower releases



Cause


New version of ReaderRights credential file provided after April 2022 does not work with NW 7.40 and lower release systems

Resolution


Please understand that AS Java 7.40 and lower are no more supported. See SAP Note 1648480 - Maintenance for SAP Business Suite 7 Software including SAP NetWeaver.
We would recommend to upgrade to NW 7.50, then the new credential delivered after April 2022 should be working with no problem.

As a temporary workaround, the old version credential file you got before April 2022 can still be used, but please be aware that it will expire by January 9, 2023.
For requesting the old version credential file, please submit a support Case to component BC-SRV-FP.

January 9, 2023 is Today! That's why it reveals 😄

Then everything is clear, just renewing the license of Reader Rights will do.

 
3 Comments
Labels in this area